<template>
    <a-card class="card-box card-bg-custom">
        <div>
            <span>{{ title }}</span>
            <p :style="{ background: tag.color }">{{ tag.text }}</p>
        </div>
        <p>{{ content }}</p>
    </a-card>
</template>
<script lang="ts" setup name="TheHouseCard">
import { useTheme } from "@/hooks/useTheme";
import { Svg } from "@easyfe/admin-component";

const { themeModeOptions, currentThemeMode, handleThemeChange } = useTheme();
const props = withDefaults(
    defineProps<{
        title?: string;
        content?: string;
        tag?: object;
    }>(),
    {
        title: "", //标题
        content: "", //内容
        tag: () => {
            return {};
        }
    }
);
const data = reactive({
    icon: "",
    title: "",
    unitTitle: "",
    unit: "",
    name: "",
    notName: "",
    hire: 0,
    vacant: 0,
    selfOccupation: 0,
    service: 0,
    closes: 0
});
// const dateType = ref("hour");

// const emits = defineEmits<{
//     (e: "init", value: echarts.ECharts): void;
// }>();

// function initChart(v: any) {
//     emits("init", v);
// }
const emits = defineEmits<{
    (e: "handleDetails", data: object): void;
    (e: "handleClick", data: object): void;
}>();
const handleDetails = (item: any) => {
    emits("handleDetails", item);
};
const handleClick = (item: any) => {
    emits("handleClick", item);
};
</script>
<style lang="scss" scoped>
.arco-card {
    cursor: pointer;
}
.arco-card-body {
    > div {
        width: 200px;
        display: flex;
        align-items: center;
        span {
            font-size: 20px;
            font-weight: bold;
            flex: 1;
        }
        p {
            height: 28px;
            width: 72px;
            border-radius: 3px;
            line-height: 28px;
            text-align: center;
            font-weight: bold;
        }
    }
    > p {
        margin-top: 10px;
        font-size: 14px;
    }
}
</style>
